Subject: [Mip6] Minor MIPv6 draft 24 issue regarding sending BRR

From: "Ed Remmell" <[email-masked]>
Date: Tue, 27 Apr 2004 09:12:53 -0700

Hello,

Our CN was implemented to send the BRR directly to the MN's CoA (without any
type 2 RH). It seems like the MN should allow this type of BRR, because
draft 24 says the MN only checks the source address of the BRR to lookup the
BUL entry. However, our CN fails a couple of TAHI tests (CN-3-2-3, CN-3-2-4)
because of this. TAHI expects the CN to send the BRR directly to the MN's
HoA, without any type 2 RH.

I looked in draft 24, and it is unclear about this. Draft 18++ is more
specific:

Section 9.4.5 (draft 18++):
"The Binding Refresh Request
   message is sent in the same way as any packet addressed to the mobile
   node (Section 9.6)."

Section 9.6 (draft 18++):
"    -  The Destination Address in the packet's IPv6 header is set to the
       mobile node's home address (the original destination address to
       which the packet was being sent)."

It is more efficient to send the BRR directly to the MN's CoA (without any
type 2 RH), because then it isn't tunneled through the HA. Which do you
think is the correct behavior? Should the MIPv6 draft be clearer about this?

I think we will change our CN implementation to match what TAHI expects, but
I just wanted to see if there are any other opinions on this.

Thanks.
- Ed Remmell

Treck, Inc. (formerly Elmic Systems, USA)

Best of Show Winner, ESC 2003

---
Outgoing mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.670 / Virus Database: 432 - Release Date: 4/27/2004

_______________________________________________
Mip6 mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mip6

---

From: Keiichi SHIMA / 島慶一 <[email-masked]>
Date: Wed, 28 Apr 2004 10:27:45 +0900 (JST)

Hello Ed,

From: "Ed Remmell" <[email-masked]>
Subject: [Mip6] Minor MIPv6 draft 24 issue regarding sending BRR
Date: Tue, 27 Apr 2004 09:12:53 -0700

> HoA, without any type 2 RH.

Just one question, how do you identify a correct binding update entry
if a BRR message doesn't have HoA of MN?  MN may have multiple bindings
to one CN with different HoAs with the same CoA.

Regards,
---
Keiichi SHIMA
IIJ Research Laboratory <[email-masked]>
KAME Project <[email-masked]>

---

From: "Ed Remmell" <[email-masked]>
Date: Wed, 28 Apr 2004 09:08:48 -0700

Shima-san,

> Just one question, how do you identify a correct binding update
> entry if a BRR message doesn't have HoA of MN?  MN may have multiple
> bindings to one CN with different HoAs with the same CoA.

Good point. Yes, I was aware of this reason. So, is draft 24 clear enough?
It just says that the BRR is sent to the MN, it doesn't say if it is sent to
the CoA or to the HoA. We apparently implemented it the wrong way (send BRR
to the CoA).

Thanks.
- Ed Remmell

-----Original Message-----
From: Keiichi SHIMA / 島慶一 [mailto:[email-masked]] 
Sent: Tuesday, April 27, 2004 6:28 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Mip6] Minor MIPv6 draft 24 issue regarding sending BRR

Hello Ed,

> Our CN was implemented to send the BRR directly to the MN's CoA 
> (without any type 2 RH). It seems like the MN should allow this type 
> of BRR, because draft 24 says the MN only checks the source address of 
> the BRR to lookup the BUL entry. However, our CN fails a couple of 
> TAHI tests (CN-3-2-3, CN-3-2-4) because of this. TAHI expects the CN 
> to send the BRR directly to the MN's HoA, without any type 2 RH.

Just one question, how do you identify a correct binding update entry if a
BRR message doesn't have HoA of MN?  MN may have multiple bindings to one CN
with different HoAs with the same CoA.

Regards,
---
Keiichi SHIMA
IIJ Research Laboratory <[email-masked]> KAME Project <[email-masked]>

---
Incoming mail is certified Virus Free.
Checked by AVG anti-virus system (http://www.grisoft.com).
Version: 6.0.670 / Virus Database: 432 - Release Date: 4/27/2004

---